pub mod client;
pub mod dns_api;
pub mod api;

// Reexport trust dns types for convenience
pub use trust_dns_client::rr::rdata::{
    DNSSECRData, caa, sshfp, mx, null, soa, srv, txt
};
pub use trust_dns_client::rr::{
    RData, DNSClass, Record
};
pub use trust_dns_proto::rr::Name;

// Reexport module types
pub use api::{RecordApi, ZoneApi};
pub use dns_api::DnsApiClient;
pub use client::DnsClient;